Panda3D

Loading...
Searching...
No Matches
Public Member Functions | List of all members
PhysxFileStream Class Reference
Inheritance diagram for PhysxFileStream:

## Public Member Functions
| PhysxFileStream (const Filename &fn, bool load)
virtual void | readBuffer (void *buffer, NxU32 size) const
virtual NxU8 | readByte () const
virtual double | readDouble () const
virtual NxU32 | readDword () const
virtual float | readFloat () const
virtual NxU16 | readWord () const
virtual NxStream & | storeBuffer (const void *buffer, NxU32 size)
virtual NxStream & | storeByte (NxU8 b)
virtual NxStream & | storeDouble (NxF64 f)
virtual NxStream & | storeDword (NxU32 d)
virtual NxStream & | storeFloat (NxReal f)
virtual NxStream & | storeWord (NxU16 w)

## Detailed Description

Definition at line 27 of file physxFileStream.h.

## Constructor & Destructor Documentation

## ◆ PhysxFileStream()

PhysxFileStream::PhysxFileStream | ( | const Filename & | fn,
|  | bool | load )

Definition at line 23 of file physxFileStream.cxx.

## ◆ ~PhysxFileStream()

PhysxFileStream::~PhysxFileStream | ( |  | ) |
| virtual

Definition at line 37 of file physxFileStream.cxx.

## Member Function Documentation

## ◆ readBuffer()

void PhysxFileStream::readBuffer | ( | void * | buffer,
|  | NxU32 | size ) const
| virtual

Definition at line 101 of file physxFileStream.cxx.

## ◆ readByte()

NxU8 PhysxFileStream::readByte | ( |  | ) | const
| virtual

Definition at line 46 of file physxFileStream.cxx.

## ◆ readDouble()

double PhysxFileStream::readDouble | ( |  | ) | const
| virtual

Definition at line 90 of file physxFileStream.cxx.

## ◆ readDword()

NxU32 PhysxFileStream::readDword | ( |  | ) | const
| virtual

Definition at line 68 of file physxFileStream.cxx.

## ◆ readFloat()

float PhysxFileStream::readFloat | ( |  | ) | const
| virtual

Definition at line 79 of file physxFileStream.cxx.

## ◆ readWord()

NxU16 PhysxFileStream::readWord | ( |  | ) | const
| virtual

Definition at line 57 of file physxFileStream.cxx.

## ◆ storeBuffer()

NxStream & PhysxFileStream::storeBuffer | ( | const void * | buffer,
|  | NxU32 | size )
| virtual

Definition at line 160 of file physxFileStream.cxx.

## ◆ storeByte()

NxStream & PhysxFileStream::storeByte | ( | NxU8 | b | ) |
| virtual

Definition at line 110 of file physxFileStream.cxx.

## ◆ storeDouble()

NxStream & PhysxFileStream::storeDouble | ( | NxF64 | f | ) |
| virtual

Definition at line 150 of file physxFileStream.cxx.

## ◆ storeDword()

NxStream & PhysxFileStream::storeDword | ( | NxU32 | d | ) |
| virtual

Definition at line 130 of file physxFileStream.cxx.

## ◆ storeFloat()

NxStream & PhysxFileStream::storeFloat | ( | NxReal | f | ) |
| virtual

Definition at line 140 of file physxFileStream.cxx.

## ◆ storeWord()

NxStream & PhysxFileStream::storeWord | ( | NxU16 | w | ) |
| virtual

Definition at line 120 of file physxFileStream.cxx.

The documentation for this class was generated from the following files:

- panda/src/physx/physxFileStream.h
- panda/src/physx/physxFileStream.cxx